/*
 * CustomerUserData
 *
 *
 * 10/15/2006
 */
package com.ibm.sureview.customer.sc.application;

import com.ibm.sureview.application.UserData;

/**
 *  This class maintains the Customer Specific POS Data Surevision.
 *  Use this class to preset any user data variables required by 
 *  the GUI.  These are set prior to traction startup.
 */
public class CustomerUserData extends UserData
{
   public static String CUSTOMER_USERDATA_MESSAGE = "CUSTOMER_USERDATA_MESSAGE";
   public static String CUSTOMER_COUPON_DISCOUNT  = "CUSTOMER_COUPON_DISCOUNT";
   
   /**
    * UserData constructor comment.
    */
   public CustomerUserData()
   {
      super();
   }

   /**
    * Create the table of values
    */
   protected void createTable()
   {
      super.createTable();
      put(CUSTOMER_USERDATA_MESSAGE, "Hello from the CustomerUserData class");
      put(CUSTOMER_COUPON_DISCOUNT,  "");
   }
}

